Bug 183193 - Java EE features not activated after opening Maven Java EE project
Java EE features not activated after opening Maven Java EE project
Status: RESOLVED WONTFIX
Product: javaee
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: TBD
Assigned To: David Konecny
issues@javaee
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-30 14:12 UTC by Petr Jiricka
Modified: 2010-08-17 17:07 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2010-03-30 14:12:28 UTC
1. Create a Java EE Maven application. This will generate a wrapper project containing three subprojects - WAR, EJB and EAR.
2. Shut down the IDE and restart with a fresh userdir
3. Open the project created in step 1. Java SE features will be activated and the project will be opened.
4. Expand the submodules of this project and open one of the modules

=> Project will be badged with a yellow triangle notifying that Java EE features are missing. They have not been enabled in time.
Comment 1 Jaroslav Tulach 2010-04-07 19:49:58 UTC
1. Re. #1 - I see just Maven/Maven Enterprise Application

2. This is not bug in ergonomics, but in maven. It needs to adjust itself to the list of enabled modules. Btw. we had almost identical bug in 6.7, it is resolved as fixed.

3. In step #4 I opened war project and the icon was yellow for a while, but then the yellow badge disappeared - e.g. works for me.
Comment 2 Petr Jiricka 2010-04-13 09:26:55 UTC
> 1. Re. #1 - I see just Maven/Maven Enterprise Application

Yes, sorry for not being precise.

> 2. This is not bug in ergonomics, but in maven. It needs to adjust itself to
> the list of enabled modules.

Can you advise what exactly needs to be done? Surely we can make changes on the Maven side. I originally filed this against Ergonomics, because without the ergonomics cluster, this does not happen.

> icon was yellow for a while, but then the yellow badge disappeared

Same for me, but it is still a bug. There should be no yellow badge at all. The fact that it disappeared makes this a P3 bug. If it did not disappear, then this would be a P2.
Comment 3 David Konecny 2010-08-02 22:49:46 UTC
Jarda, as far as I can tell this is an ergonomics issue.
Comment 4 Jaroslav Tulach 2010-08-17 16:16:00 UTC
This is not about ergonomics at all! It is about some yellow icon drawn by maven. If you want help, try to ask Jesse.

I remember few issues in 6.7 release related to maven project not listening to changes in installed modules properly. As far as I know all these bugs were fixed.  The fact that the yellow icon disappears is probably sign of proper functinality too.
Comment 5 Jesse Glick 2010-08-17 17:07:39 UTC
org.netbeans.modules.maven.problems.ProblemReporterImpl removes the warning once maven.j2ee becomes enabled. I don't know if it is possible to control the timing; ergonomics loads the java cluster (and, oddly, apisupport too!) when the <packaging>pom</> project is opened, and loads the enterprise cluster when the <packaging>war</> project is opened. In my test the badge disappeared in a moment or two (once the module enablement event was fired) so I don't consider this a real problem.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo